Skip to main content

Upload Volume File Endpoint

POST /v1/volumes/{volume_id}/files/upload

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
volume_idpathstringYes
X-API-Keyheaderstring | nullNonullable

Request Body

Required: Yes

multipart/form-data

Resolved schema:

{
"properties": {
"file": {
"type": "string",
"format": "binary",
"title": "File"
},
"path": {
"type": "string",
"title": "Path"
},
"overwrite": {
"type": "boolean",
"title": "Overwrite",
"default": false
}
},
"type": "object",
"required": [
"file",
"path"
],
"title": "Body_upload_volume_file_endpoint_v1_volumes__volume_id__files_upload_post"
}

Field details:

FieldTypeRequiredDescriptionConstraints
filestringYesformat=binary
pathstringYes
overwritebooleanNodefault=false

Responses

200

Successful Response

application/json

Resolved schema:

{
"properties": {
"path": {
"type": "string",
"title": "Path"
},
"filename": {
"type": "string",
"title": "Filename"
},
"size": {
"type": "integer",
"title": "Size"
}
},
"type": "object",
"required": [
"path",
"filename",
"size"
],
"title": "VolumeFileUploadResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
pathstringYes
filenamestringYes
sizeintegerYes

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo